> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Settlement Recon Details

> Settlement Recon using Razorpay Settlements API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to return a list of all transactions such as payments, refunds, transfers and adjustments settled to your account on a particular day or month. In the example request and response, we are fetching the settlement report for a particular day, that is `11/06/2022`.

<RequestExample>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
  -X GET \
  https://api.razorpay.com/v1/settlements/recon/combined?year=2022&month=06&day=11 \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  JSONObject params = new JSONObject();
  params.put("year", 2022);
  params.put("month", 6);
  params.put("day",11);

  List<Settlement> settlements = razorpay.settlement.reports(params);
  ```

  ```python Python theme={null}
  import razorpay
  client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

  client.settlement.report({
    "year": 2022,
    "month": 06,
    "day": 11
  })
  ```

  ```php PHP theme={null}
  $api = new Api($key_id, $secret);

  $api->settlement->settlementRecon(array('year' => 2022, 'month' => 06, 'day'=>11));
  ```

  ```javascript Node.js theme={null}
  var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })

  instance.settlements.settlementRecon({
    "year": 2022,
    "month": 06,
    "day": 11
  })
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')

  para_attr = {
    "year": 2022,
    "month": 6,
    "day":11
  }
  Razorpay::Settlement.reports(para_attr)
  ```

  ```go Go theme={null}
  import ( razorpay "github.com/razorpay/razorpay-go" )
  client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

  data:= map[string]interface{}{
      "year": 2022,
      "month": 6,
  }
  body, err := client.Settlement.Reports(data, nil)
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  Dictionary<string, object> settlementRequest = new Dictionary<string, object>();
  settlementRequest.Add("year", "2022");
  settlementRequest.Add("month", "6");
  settlementRequest.Add("day", "11");

  List<Settlement> settlement = client.Settlement.Reports(settlementRequest);
  ```

  ```bash CLI theme={null}
  razorpay settlements recon --year 2024 --month 3 --day 15 --count 10 --skip 0
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 4,
    "items": [
      {
        "entity_id": "pay_DEXrnipqTmWVGE",
        "type": "payment",
        "debit": 0,
        "credit": 97100,
        "amount": 100000,
        "currency": "INR",
        "fee": 2900,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1567692556,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": "Recurring Payment via Subscription",
        "notes": "Beam me up Scotty.",
        "payment_id": null,
        "settlement_utr": "1568176960vxp0rj",
        "order_id": "order_DEXrnRiR3SNDHA",
        "order_receipt": null,
        "method": "card",
        "card_network": "MasterCard",
        "card_issuer": "KARB",
        "card_type": "credit",
        "dispute_id": null
      },
      {
        "entity_id": "rfnd_DGRcGzZSLyEdg1",
        "type": "refund",
        "debit": 242500,
        "credit": 0,
        "amount": 242500,
        "currency": "INR",
        "fee": 0,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1568107224,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": "Beam me up Scotty.",
        "payment_id": "pay_DEXq1pACSqFxtS",
        "settlement_utr": "1568176960vxp0rj",
        "order_id": "order_DEXpmZgffXNvuI",
        "order_receipt": null,
        "method": "card",
        "card_network": "MasterCard",
        "card_issuer": "KARB",
        "card_type": "credit",
        "dispute_id": null
      },
      {
        "entity_id": "trf_DEUoCEtdsJgvl7",
        "type": "transfer",
        "debit": 100296,
        "credit": 0,
        "amount": 100000,
        "currency": "INR",
        "fee": 296,
        "tax": 46,
        "on_hold": false,
        "settled": true,
        "created_at": 1567681786,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": null,
        "payment_id": "pay_DEApNNTR6xmqJy",
        "settlement_utr": "1568176960vxp0rj",
        "order_id": null,
        "order_receipt": null,
        "method": null,
        "card_network": null,
        "card_issuer": null,
        "card_type": null,
        "dispute_id": null
      },
      {
        "entity_id": "adj_EhcHONhX4ChgNC",
        "type": "adjustment",
        "debit": 0,
        "credit": 1012,
        "amount": 1012,
        "currency": "INR",
        "fee": 0,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1567681786,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "description": "test reason",
        "notes": null,
        "payment_id": null,
        "settlement_utr": null,
        "order_id": null,
        "order_receipt": null,
        "method": null,
        "card_network": null,
        "card_issuer": null,
        "card_type": null,
        "dispute_id": null
      }
    ]
  }
  ```

  ```json Failure theme={null}
  {
      "error": {
          "code": "BAD_REQUEST_ERROR",
          "description": "The month is not a valid month.",
          "source": "business",
          "step": "payment_initiation",
          "reason": "input_validation_failed",
          "metadata": {},
          "field": "month"
      }
  }
  ```

  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 4,
    "items": [
      {
        "entity_id": "pay_DEXrnipqTmWVGE",
        "type": "payment",
        "debit": 0,
        "credit": 97100,
        "amount": 100000,
        "currency": "MYR",
        "fee": 2900,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1567692556,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": "Recurring Payment via Subscription",
        "notes": "Beam me up Scotty.",
        "payment_id": null,
        "settlement_utr": "1568176960vxp0rj",
        "order_id": "order_DEXrnRiR3SNDHA",
        "order_receipt": null,
        "method": "card",
        "card_network": "MC",
        "card_issuer": "PHBM",
        "card_type": "credit",
        "dispute_id": null
      },
      {
        "entity_id": "rfnd_DGRcGzZSLyEdg1",
        "type": "refund",
        "debit": 242500,
        "credit": 0,
        "amount": 242500,
        "currency": "MYR",
        "fee": 0,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1568107224,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": "Beam me up Scotty.",
        "payment_id": "pay_DEXq1pACSqFxtS",
        "settlement_utr": "1568176960vxp0rj",
        "order_id": "order_DEXpmZgffXNvuI",
        "order_receipt": null,
        "method": "card",
        "card_network": "MC",
        "card_issuer": "PHBM",
        "card_type": "credit",
        "dispute_id": null
      },
      {
        "entity_id": "trf_DEUoCEtdsJgvl7",
        "type": "transfer",
        "debit": 100296,
        "credit": 0,
        "amount": 100000,
        "currency": "MYR",
        "fee": 296,
        "tax": 46,
        "on_hold": false,
        "settled": true,
        "created_at": 1567681786,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": null,
        "payment_id": "pay_DEApNNTR6xmqJy",
        "settlement_utr": "1568176960vxp0rj",
        "order_id": null,
        "order_receipt": null,
        "method": null,
        "card_network": null,
        "card_issuer": null,
        "card_type": null,
        "dispute_id": null
      },
      {
        "entity_id": "adj_EhcHONhX4ChgNC",
        "type": "adjustment",
        "debit": 0,
        "credit": 1012,
        "amount": 1012,
        "currency": "MYR",
        "fee": 0,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1567681786,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "description": "test reason",
        "notes": null,
        "payment_id": null,
        "settlement_utr": null,
        "order_id": null,
        "order_receipt": null,
        "method": null,
        "card_network": null,
        "card_issuer": null,
        "card_type": null,
        "dispute_id": null
      }
    ]
  }
  ```

  ```json Failure theme={null}
  {
      "error": {
          "code": "BAD_REQUEST_ERROR",
          "description": "The month is not a valid month.",
          "source": "business",
          "step": "payment_initiation",
          "reason": "input_validation_failed",
          "metadata": {},
          "field": "month"
      }
  }
  ```

  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 4,
    "items": [
      {
        "entity_id": "pay_DEXrnipqTmWVGE",
        "type": "payment",
        "debit": 0,
        "credit": 97100,
        "amount": 100000,
        "currency": "SGD",
        "fee": 2900,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1567692556,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": "Beam me up Scotty.",
        "payment_id": null,
        "settlement_utr": "1568176960vxp0rj",
        "order_id": "order_DEXrnRiR3SNDHA",
        "order_receipt": null,
        "method": "card",
        "card_network": "MC",
        "card_issuer": "HSBC",
        "card_type": "credit",
        "dispute_id": null
      },
      {
        "entity_id": "rfnd_DGRcGzZSLyEdg1",
        "type": "refund",
        "debit": 242500,
        "credit": 0,
        "amount": 242500,
        "currency": "SGD",
        "fee": 0,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1568107224,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": "Beam me up Scotty.",
        "payment_id": "pay_DEXq1pACSqFxtS",
        "settlement_utr": "1568176960vxp0rj",
        "order_id": "order_DEXpmZgffXNvuI",
        "order_receipt": null,
        "method": "card",
        "card_network": "MC",
        "card_issuer": "HDFC",
        "card_type": "credit",
        "dispute_id": null
      },
      {
        "entity_id": "trf_DEUoCEtdsJgvl7",
        "type": "transfer",
        "debit": 100296,
        "credit": 0,
        "amount": 100000,
        "currency": "SGD",
        "fee": 296,
        "tax": 46,
        "on_hold": false,
        "settled": true,
        "created_at": 1567681786,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": null,
        "payment_id": "pay_DEApNNTR6xmqJy",
        "settlement_utr": "1568176960vxp0rj",
        "order_id": null,
        "order_receipt": null,
        "method": null,
        "card_network": null,
        "card_issuer": null,
        "card_type": null,
        "dispute_id": null
      },
      {
        "entity_id": "adj_EhcHONhX4ChgNC",
        "type": "adjustment",
        "debit": 0,
        "credit": 1012,
        "amount": 1012,
        "currency": "SGD",
        "fee": 0,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1567681786,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "description": "test reason",
        "notes": null,
        "payment_id": null,
        "settlement_utr": null,
        "order_id": null,
        "order_receipt": null,
        "method": null,
        "card_network": null,
        "card_issuer": null,
        "card_type": null,
        "dispute_id": null
      }
    ]
  }
  ```

  ```json Failure theme={null}
  {
      "error": {
          "code": "BAD_REQUEST_ERROR",
          "description": "The month is not a valid month.",
          "source": "business",
          "step": "payment_initiation",
          "reason": "input_validation_failed",
          "metadata": {},
          "field": "month"
      }
  }
  ```

  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 4,
    "items": [
      {
        "entity_id": "pay_DEXrnipqTmWVGE",
        "type": "payment",
        "debit": 0,
        "credit": 97100,
        "amount": 100000,
        "currency": "USD",
        "fee": 2900,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1567692556,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": "Beam me up Scotty.",
        "payment_id": null,
        "settlement_utr": "1568176960vxp0rj",
        "order_id": "order_DEXrnRiR3SNDHA",
        "order_receipt": null,
        "method": "card",
        "card_network": "AMEX",
        "card_issuer": "AMEX",
        "card_type": "credit",
        "dispute_id": null
      },
      {
        "entity_id": "rfnd_DGRcGzZSLyEdg1",
        "type": "refund",
        "debit": 242500,
        "credit": 0,
        "amount": 242500,
        "currency": "USD",
        "fee": 0,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1568107224,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": "Beam me up Scotty.",
        "payment_id": "pay_DEXq1pACSqFxtS",
        "settlement_utr": "1568176960vxp0rj",
        "order_id": "order_DEXpmZgffXNvuI",
        "order_receipt": null,
        "method": "card",
        "card_network": "AMEX",
        "card_issuer": "AMEX",
        "card_type": "credit",
        "dispute_id": null
      },
      {
        "entity_id": "trf_DEUoCEtdsJgvl7",
        "type": "transfer",
        "debit": 100296,
        "credit": 0,
        "amount": 100000,
        "currency": "USD",
        "fee": 296,
        "tax": 46,
        "on_hold": false,
        "settled": true,
        "created_at": 1567681786,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "credit_type": "default",
        "description": null,
        "notes": null,
        "payment_id": "pay_DEApNNTR6xmqJy",
        "settlement_utr": "1568176960vxp0rj",
        "order_id": null,
        "order_receipt": null,
        "method": null,
        "card_network": null,
        "card_issuer": null,
        "card_type": null,
        "dispute_id": null
      },
      {
        "entity_id": "adj_EhcHONhX4ChgNC",
        "type": "adjustment",
        "debit": 0,
        "credit": 1012,
        "amount": 1012,
        "currency": "USD",
        "fee": 0,
        "tax": 0,
        "on_hold": false,
        "settled": true,
        "created_at": 1567681786,
        "settled_at": 1568176960,
        "settlement_id": "setl_DGlQ1Rj8os78Ec",
        "posted_at": null,
        "description": "test reason",
        "notes": null,
        "payment_id": null,
        "settlement_utr": null,
        "order_id": null,
        "order_receipt": null,
        "method": null,
        "card_network": null,
        "card_issuer": null,
        "card_type": null,
        "dispute_id": null
      }
    ]
  }
  ```

  ```json Failure theme={null}
  {
      "error": {
          "code": "BAD_REQUEST_ERROR",
          "description": "The month is not a valid month.",
          "source": "business",
          "step": "payment_initiation",
          "reason": "input_validation_failed",
          "metadata": {},
          "field": "month"
      }
  }
  ```
</ResponseExample>

## Query Parameters

<ParamField query="year" type="integer" required>
  The year the settlement was received in the `YYYY` format. For example, `2022`.
</ParamField>

<ParamField query="month" type="integer" required>
  The month the settlement was received in the `MM` format. For example, `06`.
</ParamField>

<ParamField query="day" type="integer">
  The date on which the settlement was received in the `DD` format. For example, `11`.
</ParamField>

<ParamField query="count" type="integer">
  Specifies the number of available settlements to be fetched. Possible values: `1` to `1000`.
</ParamField>

<ParamField query="skip" type="integer">
  Specifies the number of available settlements to be skipped when fetching a count.
</ParamField>

## Response Parameters

<ResponseField name="entity_id" type="string">
  The unique identifier of the transaction that has been settled.
</ResponseField>

<ResponseField name="type" type="string">
  Indicates the type of transaction. Possible values:

  * `payment`
  * `refund`
  * `transfer`
  * `adjustment`
</ResponseField>

<ResponseField name="debit" type="integer">
  The amount, in currency subunits, that has been debited from your account.
</ResponseField>

<ResponseField name="credit" type="integer">
  The amount, in currency subunits, that has been credited to your account.
</ResponseField>

<ResponseField name="amount" type="integer">
  The total amount, in currency subunits, debited or credited from your account.
</ResponseField>

<ResponseField name="currency" type="string">
  The 3-letter ISO currency code for the transaction.
</ResponseField>

<ResponseField name="fee" type="integer">
  The fees, in currency subunits, charged to process the transaction.
</ResponseField>

<ResponseField name="tax" type="integer">
  The tax on the fee, in currency subunits, charged to process the transaction.
</ResponseField>

<ResponseField name="on_hold" type="boolean">
  Indicates whether the account settlement for transfer is on hold. Possible values:

  * `true`: The settlement for transfer is on hold.
  * `false`: The settlement for transfer is released.
</ResponseField>

<ResponseField name="settled" type="boolean">
  Indicates whether the transaction has been settled or not. Possible values:

  * `true`
  * `false`
</ResponseField>

<ResponseField name="created_at" type="integer">
  Unix timestamp at which the transaction was created.
</ResponseField>

<ResponseField name="settled_at" type="integer">
  Unix timestamp when the transaction was settled.
</ResponseField>

<ResponseField name="settlement_id" type="string">
  The unique identifier of the settlement transaction.
</ResponseField>

<ResponseField name="description" type="string">
  Brief description about the transaction.
</ResponseField>

<ResponseField name="notes" type="object">
  Notes for the transaction. For example, `Beam me up Scotty.`
</ResponseField>

<ResponseField name="payment_id" type="string">
  The unique identifier of the payment linked to `refund` or `transfer` that has been settled. For example, `pay_DEApNNTR6xmqJy`. It is `null` for `payments`.
</ResponseField>

<ResponseField name="settlement_utr" type="string">
  The unique reference number linked to the settlement. For example, `KKBKH14156891582`.
</ResponseField>

<ResponseField name="order_id" type="string">
  Order id linked to the payment made by the customer that has been settled. For example, `order_DEXrnRiR3SNDHA`.
</ResponseField>

<ResponseField name="order_receipt" type="string">
  Receipt number entered while [creating the Order](/docs/api/orders/create).
</ResponseField>

<ResponseField name="method" type="string">
  The payment method used to complete the payment. Possible values:

  * `card`
  * `netbanking`
  * `wallet`
  * `upi`
  * `emi`
</ResponseField>

<ResponseField name="card_network" type="string">
  The card network used to process the payment. Possible values:

  * `American Express`
  * `Diners Club` (Only available for private limited and registered businesses)
  * `Maestro`
  * `MasterCard`
  * `RuPay`
  * `Visa`
  * `unknown`
</ResponseField>

<ResponseField name="card_issuer" type="string">
  This is a 4-character code denoting the issuing bank. For example, `KARB`.

  This attribute will not be set for international cards, that is, for cards issued by foreign banks.
</ResponseField>

<ResponseField name="card_type" type="string">
  The card type used to process the payment. Possible values:

  * `credit`
  * `debit`
</ResponseField>

<ResponseField name="dispute_id" type="string">
  The unique identifier of any dispute, if any, for this transaction.
</ResponseField>

## Errors

<AccordionGroup>
  <Accordion title="The API {key/secret} provided is invalid.">
    **Code:** `4xx`

    The API credentials passed in the API call differ from the ones generated on the Dashboard.

    **Solution:** The API keys must be active and entered correctly with no whitespace before or after.
  </Accordion>

  <Accordion title="The year must be 4 digits.">
    **Code:** `400`

    An invalid year is entered.

    **Solution:** Ensure that the year has exactly 4 digits.
  </Accordion>

  <Accordion title="The month is not a valid month.">
    **Code:** `400`

    An invalid month is entered.

    **Solution:** Enter a valid month between `01` and `12`.
  </Accordion>

  <Accordion title="The day must be between 1 and 2 digits.">
    **Code:** `400`

    An invalid day is entered.

    **Solution:** Ensure that the day has only 1 or 2 digits. Possible values: `1` to `31`.
  </Accordion>

  <Accordion title="The count must be at least 1.">
    **Code:** `400`

    The count passed is `0`.

    **Solution:** Ensure that count is at least `1`.
  </Accordion>

  <Accordion title="The year and month fields are required.">
    **Code:** `400`

    The `year` and/or `month` query parameter was not included in the request. Both are mandatory.

    **Solution:** Always pass both `year` (4-digit integer, for example `year=2025`) and `month` (1–12) in the request.
  </Accordion>
</AccordionGroup>
